Summary:	CrystalSpace free 3d engine
Name:		crystalspace
Version:	1.2.1
Release:	%mkrel 5
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.crystalspace3d.org/
Source0:	http://www.crystalspace3d.org/downloads/release/%{name}-src-%{version}.tar.bz2
Patch0:		%{name}-src-1.2-cs-config.patch
Patch1:		crystalspace-src-1.2.1-fix-str-fmt.patch
BuildRequires:	lib3ds-devel >= 1.3.0
BuildRequires:	MesaGLU-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libmikmod-devel
BuildRequires:	cal3d-devel
BuildRequires:	jpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	ode-devel
BuildRequires:	png-devel
BuildRequires:	openal-devel >= 0.0.6-5mdk
BuildRequires:	mng-devel
BuildRequires:	X11-devel
BuildRequires:	nasm
BuildRequires:	perl-devel
BuildRequires:	wxGTK2.8-devel
BuildRequires:	swig >= 1.3.14
BuildRequires:	bison >= 1.35
BuildRequires:	python-devel
BuildRequires:	ftjam
BuildRequires:	flex
BuildRequires:	doxygen
BuildRequires:	bullet-static-devel
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:	librsvg
BuildRequires:	libcaca-devel
BuildRequires:	tetex-dvipdfm
BuildRequires:	tetex-dvips
BuildRequires:	imagemagick
BuildRequires:	cppunit-devel
BuildRequires:	icoutils
BuildRequires:	CEGUI-devel
BuildRequires:	perl(Template::Base)
BuildRequires:	java-rpmbuild
BuildRequires:	ant
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Crystal Space is a free (LGPL) and portable 3D Development Kit
written in C++. It supports: true six degree's of freedom,
colored lighting, mipmapping, portals, mirrors, alpha transparency,
reflective surfaces, 3D sprites (frame based or with skeletal animation),
procedural textures, radiosity, particle systems, halos, volumetric fog,
scripting (using Python or other languages), 8-bit, 16-bit, and 32-bit
display support, OpenGL and software renderering, font support,
hierarchical transformations, etc.

%package devel
Group:		Development/C
Summary:	Development headers and libraries for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
Development headers and libraries for %{name}.

%package doc
Summary:	Crystalspace documentation
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Conflicts:	freetds-devel

%description doc
Crystalspace documentation.

%package demos
Summary:	Crystalspace demos
Group:		Toys
Requires:	%{name} = %{version}-%{release}

%description	demos
Crystalspace demos.

%package bindings-python
Summary:	Python bindings for Crystal Space free 3D SDK
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python

%description bindings-python
Python bindings for Crystal Space free 3D SDK.

%package bindings-java
Group:		Development/Java
Summary:	Java bindings for Crystal Space free 3D SDK
Requires:	%{name} = %{version}-%{release}
Requires:	java

%description bindings-java
Java bindings for Crystal Space free 3D SDK.

%package bindings-perl
Summary:	Perl bindings for Crystal Space free 3D SDK
Group:		Development/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl

%description bindings-perl
Perl bindings for Crystal Space free 3D SDK.

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1
%patch1 -p0

# work around mikmod not being linked to libdl as it should
sed -i 's/-lmikmod/-lmikmod -ldl/g' configure
# stop configure from adding -L/usr/local/lib to cs-config (and the build)
sed -i 's|-d /usr/local/lib|-d /foobar|' configure

# (tpg) kill arch optimizations, in case of mdv -march= is always set to generic
for i in i486 i586 i686 athlon k8; do
    sed -i -e 's/march='$i'//g' configure*
    sed -i -e 's/mtune='$i'//g' configure*;
done

%build
export CFLAGS="%{optflags} -I%{_includedir} -I%{_includedir}/AL"
export CXXFLAGS=$CFLAGS
export LDFLAGS=$CFLAGS

sed -i -e 's#/usr/local/lib#%{_libdir}#g' configure
sed -i -e 's#/usr/local/include#%{_includedir}#g' configure
sed -i -e 's#/usr/local#%{_prefix}#g' configure

%configure2_5x	\
	--with-mesa \
	--enable-cpu-specific-instructions=no \
	--disable-cpu-specific-instructions \
	--enable-linux-joystick \
	--disable-optimize \
	--disable-debug \
	--disable-separate-debug-info \
	--with-pic \
	--with-gnu-ld \
	--enable-plugins \
	--with-java \
	--with-wx \
	--with-caca=%{_prefix} \
	--disable-meta-info-embedding

jam -d2 %{_smp_mflags}

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} jam -d2 install

install -m644 mk/autoconf/crystal.m4 -D %{buildroot}%{_datadir}/aclocal/crystal.m4

sed -i -e "s#/lib/#/%{_lib}/#g" %{buildroot}%{_bindir}/cs-config
sed -i 's| -L%{_libdir}/python2.5||' %{buildroot}%{_bindir}/cs-config

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/cs-config*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_libdir}/%{name}-1.2
%{_libdir}/%{name}-1.2/*.so
%{_libdir}/%{name}-1.2/*.csplugin
%exclude %{_libdir}/%{name}-1.2/cspython.so
%exclude %{_libdir}/%{name}-1.2/cspython.csplugin
%dir %{_datadir}/%{name}-1.2/bindings
%{_datadir}/%{name}-1.2/build
%{_datadir}/%{name}-1.2/conversion
%{_datadir}/%{name}-1.2/data
%dir %{_sysconfdir}/%{name}-1.2
%config(noreplace) %{_sysconfdir}/%{name}-1.2/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}/*
%{_datadir}/aclocal/crystal.m4
%{_bindir}/cs-config*
%multiarch %{multiarch_bindir}/cs-config*
%exclude %{_includedir}/%{name}-1.2/bindings/java
%exclude %{_includedir}/%{name}-1.2/bindings/perl
%exclude %{_includedir}/%{name}-1.2/bindings/python

%files doc
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}

%files demos
%defattr(-,root,root)
%{_bindir}/*
%exclude %{_bindir}/cs-config
%exclude %{_bindir}/cs-config-1.2
%exclude %{multiarch_bindir}

%files bindings-java
%defattr(-,root,root)
%dir %{_datadir}/%{name}-1.2/bindings
%dir %{_datadir}/%{name}-1.2/bindings/java
%{_datadir}/%{name}-1.2/bindings/java/*
%{_includedir}/%{name}-1.2/bindings/java

%files bindings-perl
%defattr(-,root,root)
%dir %{_datadir}/%{name}-1.2/bindings/perl5
%{_datadir}/%{name}-1.2/bindings/perl5/*
%{_includedir}/%{name}-1.2/bindings/perl

%files bindings-python
%defattr(-,root,root)
%dir %{_datadir}/%{name}-1.2/bindings/python
%{_libdir}/%{name}-1.2/cspython.so
%{_libdir}/%{name}-1.2/cspython.csplugin
%{_datadir}/%{name}-1.2/bindings/python/*
%{_includedir}/%{name}-1.2/bindings/python


%changelog
* Thu Jan 22 2009 Funda Wang <fundawang@mandriva.org> 1.2.1-5mdv2009.1
+ Revision: 332521
- fix str fmt

* Sat Dec 13 2008 Funda Wang <fundawang@mandriva.org> 1.2.1-4mdv2009.1
+ Revision: 313965
- rebuild

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.1-3mdv2009.1
+ Revision: 291799
- rebuild for changed CEGUI versioning scheme

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-2mdv2009.0
+ Revision: 266540
- rebuild early 2009.0 package (before pixel changes)

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 212921
- fix file list
- update to new version 1.2.1

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-6mdv2009.0
+ Revision: 197221
- rebuild for CEGUI

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-5mdv2009.0
+ Revision: 197097
- get rid of /usr/local
- export inludedir with flags

* Wed Apr 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-4mdv2009.0
+ Revision: 197062
- completely remove -march and -mtune
- versioned config script should be in devel not in demos package
- export %%{optflags} and hopefully link against openal
- disable optimization, march and mtune should be generic
- spit out the bindings for java, perl and python to a separate subpackages
- add buildrequires on ant and java-rpmbuild

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-3mdv2009.0
+ Revision: 196294
- Patch0: fix cs-config script
- add missing buildrequires on perl-Template-Toolkit
- do not hardcode python libdir

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-2mdv2009.0
+ Revision: 195675
- spec file clean
- new license policy
- add a bunch of missing buildrequires
- spec file clean

* Wed Dec 26 2007 Emmanuel Andry <eandry@mandriva.org> 1.2-1mdv2008.1
+ Revision: 137963
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 21 2007 Lenny Cartier <lenny@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 123805
- Update to 1.0.1

* Thu Jan 25 2007 Emmanuel Andry <eandry@mandriva.org> 1.0-5mdv2007.1
+ Revision: 113065
- build against wxGTK2.8

* Mon Jan 22 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-4mdv2007.1
+ Revision: 111630
- bump to rebuild against new ode

* Sun Jan 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-3mdv2007.1
+ Revision: 111403
- bump
- let rpm take care of stripping debug symbols
  lib64 fix for cs-config
  clean out old junk

* Thu Jan 18 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdv2007.1
+ Revision: 110220
- build with wx support
- update to 1.0 final

  + Pascal Terjan <pterjan@mandriva.org>
    - 1.0rc1
    - add patch from svn to build with gcc 4.1
    - buildrequires jam
    - Import crystalspace

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.cvs20050308.2mdk
- versioned requires for devel package
- multiarch

* Tue Mar 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.cvs20050308.1mdk
- new cvs snapshot

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.97-0.cvs20040615.3mdk
- Rebuild for new python

* Mon Jul 19 2004 Michael Scherer <misc@mandrake.org> 0.97-0.cvs20040615.2mdk 
- add the proper Conflict

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.97-0.cvs20040615.1mdk
- new cvs snapshot
- switch to jam
- clean up files

